Bug 75685 - adsl-setup sets PPPOE_TIMEOUT to an incorrect value
adsl-setup sets PPPOE_TIMEOUT to an incorrect value
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rp-pppoe (Show other bugs)
8.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-10 21:25 EDT by Stuart Shapiro
Modified: 2015-01-07 19:01 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-30 11:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart Shapiro 2002-10-10 21:25:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
PPPOE_TIMEOUT should be at least 4 times greater than LCP_INTERVAL. 
/etc/sysconfig/network-scripts/ifcfg-ppp0 has PPPOE_TIMEOUT=20 and
LCP_INTERVAL=80.  These values cause the interface to go down every 20 seconds
of inactivity.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Run adsl-setup to configure pppoe
2.Bring the interface up: ifup ppp0
3.Watch the interface.
	

Actual Results:  The interface goes down every 20 seconds of inactivity.  The is
verified by viewing the /var/log/messages.

Expected Results:  The interface should stay up.

Additional info:
Comment 1 Ngo Than 2003-06-30 11:32:03 EDT
it's fixed in 3.5-5, which is available in the rawhide.

Note You need to log in before you can comment on or make changes to this bug.